/*
Smart fish tank 
By DAnny Ritchie
29-03-17
 */

// include the library code:
#include <LiquidCrystal.h>
#include <DS3231.h>

int Mainlight = 8;
int Sunset = 9;
int Circpump = 10;
int Sunrise = 11;


// Init the DS3231 using the hardware interface
DS3231  rtc(SDA, SCL);

// Init a Time-data structure
Time  t;

// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(12, 11, 5, 4, 7, 6);

void setup() {


pinMode(Mainlight, OUTPUT);
pinMode(Sunset, OUTPUT);
pinMode(Circpump, OUTPUT);
pinMode(Sunrise, OUTPUT);
    
    // Initialize the rtc object
  rtc.begin();


 // The following lines can be uncommented to set the date and time
 // rtc.setDOW(WEDNESDAY);     // Set Day-of-Week to SUNDAY
 //rtc.setTime(15, 46, 50);     // Set the time to 12:00:00 (24hr format)
 // rtc.setDate(30, 03, 2017);   // Set the date to January 1st, 2014

  // set up the LCD's number of columns and rows:
  lcd.begin(20, 4);
  // Print a message to the LCD.
  lcd.print("Fish Tank Control!");
  delay(2000);
  lcd.clear();
}

void loop() {
  // set the cursor to column 0, line 1
  // (note: line 1 is the second row, since counting begins with 0):
  lcd.setCursor(0, 0);
    // print the number of seconds since reset:
  lcd.print(rtc.getTimeStr());
  lcd.print(" ");
  lcd.print(rtc.getDateStr());
 // lcd.print(rtc.getDOWStr());
 // lcd.print(rtc.getTemp());
 // lcd.print(" C");
  lcd.setCursor(0,2);
  lcd.print("Main light-");
  lcd.setCursor(0,3);
  lcd.print("2nd light-");
  lcd.setCursor(0,1);
  lcd.print("Pump-");


 t = rtc.getTime();

//----------- Main Light Timmer -----------
    
     if (((t.hour) >= 7) && ((t.hour) <20 ))
         {
         digitalWrite(Mainlight, HIGH);
         lcd.setCursor(13,2);
         lcd.print("ON ");
         }
    else
        {
        digitalWrite(Mainlight, LOW);
        lcd.setCursor(13,2);
         lcd.print("OFF");
        }


//--------- Second Light Timer  ------------

            
     if ((((t.hour) >= 17) && ((t.hour) <21 ) && ((t.min) >=59)))
         {
         digitalWrite(Sunset, HIGH);
         lcd.setCursor(10,3);
         lcd.print("Sunset  ");
         }
    else
        {
        digitalWrite(Sunset, LOW);
        lcd.setCursor(10,3);
       //  lcd.print("OFF");
        }


 //---------Circulation Pump timer---------

 if (((((t.hour) >= 7) && ((t.hour) <20 ) && ((t.min) >=36)) && (t.min) <=51))
         {
      
         
         digitalWrite(Circpump, HIGH);
         lcd.setCursor(5,1);
         lcd.print("ON ");
         }
    else
        {
        digitalWrite(Circpump, LOW);
        lcd.setCursor(5,1);
         lcd.print("OFF");
        }


             if ((((t.hour) >= 6) && ((t.hour) <7 ) && ((t.min) >=01)))
         {
         digitalWrite(Sunrise, HIGH);
         lcd.setCursor(10,3);
         lcd.print("Sunrise ");
         }
    else
        {
        digitalWrite(Sunrise, LOW);
        lcd.setCursor(10,3);
       //  lcd.print("OFF");
        }
         
 
        

        
}

